{
  "schema_version": "1.4.0",
  "id": "GHSA-xf6h-8pvx-cg8q",
  "modified": "2022-05-14T02:07:40Z",
  "published": "2022-05-14T02:07:39Z",
  "aliases": [
    "CVE-2015-5309"
  ],
  "details": "Integer overflow in the terminal emulator in PuTTY before 0.66 allows remote attackers to cause a denial of service (memory corruption) or possibly execute arbitrary code via an ECH (erase characters) escape sequence with a large parameter value, which triggers a buffer underflow.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2015-5309"
    },
    {
      "type": "WEB",
      "url": "https://security.gentoo.org/glsa/201606-01"
    },
    {
      "type": "WEB",
      "url": "http://lists.fedoraproject.org/pipermail/package-announce/2015-December/173021.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.fedoraproject.org/pipermail/package-announce/2015-December/173094.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-updates/2015-11/msg00099.html"
    },
    {
      "type": "WEB",
      "url": "http://www.chiark.greenend.org.uk/~sgtatham/putty/wishlist/vuln-ech-overflow.html"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2015/dsa-3409"
    },
    {
      "type": "WEB",
      "url": "http://www.securitytracker.com/id/1034308"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2015-12-07T20:59:00Z"
  }
}